Create Space Invitation
CreateSpaceInvitation invites an existing active user to a space. Only a space administrator can invite. The invitee gets no space access until they accept.
Path Parameters
space*string
The space id.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
SpaceInvitation is a pending invitation for an existing user to join a space.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/spaces/string/invitations" \ -H "Content-Type: application/json" \ -d '{ "invitee": "string", "role": "ROLE_UNSPECIFIED" }'{ "name": "string", "invitee": "string", "role": "ROLE_UNSPECIFIED", "space": { "name": "string", "title": "string", "description": "string", "icon": { "emoji": "string", "lucide": "string" }, "currentUserRole": "ROLE_UNSPECIFIED", "memberCount": 0 }}